# export CVSROOT=:pserver:anonymous@cvs.lri.fr:/users/asspro/roussel/cvsroot
# cvs login # no password
# DATE=$(date +%Y%m%d)
# cvs export -D now -d nucleo-$DATE nucleo
# tar cvjf nucleo-$DATE.tar.bz2 nucleo-$DATE

%define name nucleo
%define version 0.6
%define cvs 20061224
%define rel 2
%define release %mkrel 0.%{cvs}.%{rel}
%define distname %{name}-%{cvs}

%define common_summary explore video and human-computer interaction
%define common_description Nucleo is a toolkit for exploring new uses of video and new\
human-computer interaction techniques.
%define lib_major 0

%define lib_name %mklibname %{name} %{lib_major}

Summary: Toolkit to %{common_summary}
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{distname}.tar.bz2
# (blino) create a GLuint id for sgNode instances
#         using a class variable id as counter
#         because pointers can not be casted to GLUint on x86_64
#         and so can not be used as id for glPushName()
Patch1: nucleo-20061014-sgNodeId.patch
# (fc) 
Patch2: nucleo-qminmax.patch
License: LGPL
Group: System/Libraries
Url: http://www.lri.fr/~roussel/projects/nucleo/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: automake
BuildRequires: mesaglu-devel jpeg-devel png-devel libexif-devel freetype2-devel
BuildRequires: ffmpeg-devel
BuildRequires: libxi-devel
ExclusiveArch: %ix86


%description
%{common_description}

%package -n	%{lib_name}
Summary:	A library to %{common_summary}
Group:		System/Libraries

%description -n	%{lib_name}
%{common_description}

This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{lib_name}-devel
Summary:	Development tools for programs using %{name}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{lib_name}-devel
%{common_description}

This package contains the header files and libraries needed for
developing programs using the %{name} library.

%prep
%setup -q -n %{distname}
# always disable, it breaks every arch
#%patch1 -p1 -b .sgNodeId
%patch2 -p1 -b .qminmax

%build
./build-utils/bootstrap
%configure2_5x --disable-qt --disable-howl
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_bindir}/nBundle
%{_bindir}/nTest
%{_bindir}/videoClient
%{_bindir}/videoServer
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/Info.plist.tmpl
%{_datadir}/%{name}/%{name}.icns
%{_datadir}/%{name}/%{name}.pdf
%{_datadir}/%{name}/plugin-list
%dir %{_datadir}/%{name}/fonts
%{_datadir}/%{name}/fonts/*.ttf

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/libNucleo.so.*
%{_libdir}/libNucleo.la
%{_libdir}/libnPffmpeg.so.*
%{_libdir}/libnPffmpeg.la
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/nPffmpeg.so.*
%{_libdir}/%{name}/nPffmpeg.la

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_libdir}/libNucleo.so
%{_libdir}/libnPffmpeg.so
%{_libdir}/%{name}/nPffmpeg.so
%{_libdir}/pkgconfig/%{name}.pc
%{_bindir}/nucleo-config
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*


%changelog
* Mon Jan 15 2007 Frederic Crozat <fcrozat@mandriva.com> 0.6-0.20061224.2mdv2007.0
+ Revision: 109307
-Patch2 : add support for qmix/qmax in ffmpeg plugin
-Fix buildrequires, ensure xinput support is built

* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 0.6-0.20061224.1mdv2007.1
+ Revision: 102611
- New snapshot (20061224)
- Remove patch0, no longer needed

* Fri Dec 15 2006 Frederic Crozat <fcrozat@mandriva.com> 0.6-0.20061214.1mdv2007.1
+ Revision: 97470
- New snapshot (20061214) with shader support
  Patch0: fix build with current mesa

* Thu Nov 30 2006 Frederic Crozat <fcrozat@mandriva.com> 0.6-0.20061130.1mdv2007.1
+ Revision: 89138
- Update snapshot (20061130)
- Remove patches 0, 2 (merged upstream)

* Wed Nov 29 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5-0.20061014.3mdv2007.1
+ Revision: 88695
- Update patch0
- Disable patch1, it breaks nucleo
- Patch2: allow disabling howl at compile time
- Disable x86-64 arch for now

* Sat Oct 14 2006 Olivier Blin <oblin@mandriva.com> 0.5-0.20061014.2mdv2007.1
+ Revision: 65163
- bump release
- add GLuint id in sgNode instances to fix glPushName() on x86_64
- add buildrequires
- initial nucleo package
- Created package structure for nucleo.

